DtMmdbTocGetNumOfChildren(library call)

NAME
DtMmdbTocGetNumOfChildren — obtains the number of child sections

SYNOPSIS

#include &<DtMmdb.h>
int DtMmdbTocGetNumOfChildren(
DtMmdbInfoRequest* request);

DESCRIPTION

The DtMmdbTocGetNumOfChildren function returns the number of child sections for the specified section.

ARGUMENTS

request
    Specifies the bookcase in the bookcase descriptor field and the section's Database Engine identifier, in the primary_oid field.

RETURN VALUE

If DtMmdbTocGetNumOfChildren completes successfully, it returns the number of child sections. If it fails, it returns -1.

EXAMPLE

The following shows how a DtMmdbTocGetNumOfChildren call might be coded.

DtMmdbInfoRequest request;
/* fill the request here */
n = DtMmdbTocGetNumOfChildren(&&request);

SEE ALSO

TO BE SUPPLIED